| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- File List
- File Members

# Time.icpp File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | Gaudi
## Defines
#define | GAUDIKERNEL_TIME_ICPP 1
## Functions
std::ostream & | operator<< (std::ostream &out, const Gaudi::Time &time)
std::ostream & | operator<< (std::ostream &out, const Gaudi::TimeSpan &time)
Gaudi::Time | operator+ (const Gaudi::Time &t, const Gaudi::TimeSpan &ts)
Gaudi::Time | operator+ (const Gaudi::TimeSpan &ts, const Gaudi::Time &t)
Gaudi::TimeSpan | operator- (const Gaudi::Time &t1, const Gaudi::Time &t2)
Gaudi::Time | operator- (const Gaudi::Time &t, const Gaudi::TimeSpan &ts)
bool | operator== (const Gaudi::Time &t1, const Gaudi::Time &t2)
bool | operator!= (const Gaudi::Time &t1, const Gaudi::Time &t2)
bool | operator< (const Gaudi::Time &t1, const Gaudi::Time &t2)
bool | operator<= (const Gaudi::Time &t1, const Gaudi::Time &t2)
bool | operator> (const Gaudi::Time &t1, const Gaudi::Time &t2)
bool | operator>= (const Gaudi::Time &t1, const Gaudi::Time &t2)
bool | operator! (const Gaudi::Time &t)
Gaudi::TimeSpan | operator+ (const Gaudi::TimeSpan &ts)
Gaudi::TimeSpan | operator- (const Gaudi::TimeSpan &ts)
Gaudi::TimeSpan | operator+ (const Gaudi::TimeSpan &ts1, const Gaudi::TimeSpan &ts2)
Gaudi::TimeSpan | operator- (const Gaudi::TimeSpan &ts1, const Gaudi::TimeSpan &ts2)
bool | operator== (const Gaudi::TimeSpan &t1, const Gaudi::TimeSpan &t2)
bool | operator!= (const Gaudi::TimeSpan &t1, const Gaudi::TimeSpan &t2)
bool | operator< (const Gaudi::TimeSpan &t1, const Gaudi::TimeSpan &t2)
bool | operator<= (const Gaudi::TimeSpan &t1, const Gaudi::TimeSpan &t2)
bool | operator> (const Gaudi::TimeSpan &t1, const Gaudi::TimeSpan &t2)
bool | operator>= (const Gaudi::TimeSpan &t1, const Gaudi::TimeSpan &t2)
bool | operator! (const Gaudi::TimeSpan &ts)
StreamBuffer & | operator<< (StreamBuffer &s, const Gaudi::Time &t)
StreamBuffer & | operator>> (StreamBuffer &s, Gaudi::Time &t)

## Define Documentation

#define GAUDIKERNEL_TIME_ICPP 1

Definition at line 3 of file Time.icpp.

## Function Documentation

bool operator! | ( | const Gaudi::TimeSpan & | ts | ) | `[inline]`

Definition at line 308 of file Time.icpp.

    00308                                                 {
    00309   return ! ts.ns();
    00310 }

bool operator! | ( | const Gaudi::Time & | t | ) | `[inline]`

Definition at line 248 of file Time.icpp.

    00248                                            {
    00249   return ! t.ns();
    00250 }

bool operator!= | ( | const Gaudi::TimeSpan & | t1,
|  | const Gaudi::TimeSpan & | t2 |
| ) |  |  | `[inline]`

Definition at line 288 of file Time.icpp.

    00288                                                                           {
    00289   return t1.ns() != t2.ns();
    00290 }

bool operator!= | ( | const Gaudi::Time & | t1,
|  | const Gaudi::Time & | t2 |
| ) |  |  | `[inline]`

Definition at line 228 of file Time.icpp.

    00228                                                                   {
    00229   return t1.ns() != t2.ns();
    00230 }

Gaudi::TimeSpan operator+ | ( | const Gaudi::TimeSpan & | ts1,
|  | const Gaudi::TimeSpan & | ts2 |
| ) |  |  | `[inline]`

Definition at line 264 of file Time.icpp.

    00264                                                                                     {
    00265   return Gaudi::TimeSpan (ts1.ns() + ts2.ns());
    00266 }

Gaudi::TimeSpan operator+ | ( | const Gaudi::TimeSpan & | ts | ) | `[inline]`

Definition at line 256 of file Time.icpp.

    00256                                                          {
    00257   return ts;
    00258 }

Gaudi::Time operator+ | ( | const Gaudi::TimeSpan & | ts,
|  | const Gaudi::Time & | t |
| ) |  |  | `[inline]`

Definition at line 200 of file Time.icpp.

    00200                                                                          {
    00201   return Gaudi::Time (t.ns() + ts.ns());
    00202 }

Gaudi::Time operator+ | ( | const Gaudi::Time & | t,
|  | const Gaudi::TimeSpan & | ts |
| ) |  |  | `[inline]`

Definition at line 196 of file Time.icpp.

    00196                                                                          {
    00197   return Gaudi::Time (t.ns() + ts.ns());
    00198 }

Gaudi::TimeSpan operator- | ( | const Gaudi::TimeSpan & | ts1,
|  | const Gaudi::TimeSpan & | ts2 |
| ) |  |  | `[inline]`

Definition at line 268 of file Time.icpp.

    00268                                                                                     {
    00269   return Gaudi::TimeSpan (ts1.ns() - ts2.ns());
    00270 }

Gaudi::TimeSpan operator- | ( | const Gaudi::TimeSpan & | ts | ) | `[inline]`

Definition at line 260 of file Time.icpp.

    00260                                                          {
    00261   return Gaudi::TimeSpan (-ts.ns());
    00262 }

Gaudi::Time operator- | ( | const Gaudi::Time & | t,
|  | const Gaudi::TimeSpan & | ts |
| ) |  |  | `[inline]`

Definition at line 208 of file Time.icpp.

    00208                                                                          {
    00209   return Gaudi::Time (t.ns() - ts.ns());
    00210 }

Gaudi::TimeSpan operator- | ( | const Gaudi::Time & | t1,
|  | const Gaudi::Time & | t2 |
| ) |  |  | `[inline]`

Definition at line 204 of file Time.icpp.

    00204                                                                           {
    00205   return Gaudi::TimeSpan (t1.ns() - t2.ns());
    00206 }

bool operator< | ( | const Gaudi::TimeSpan & | t1,
|  | const Gaudi::TimeSpan & | t2 |
| ) |  |  | `[inline]`

Definition at line 292 of file Time.icpp.

    00292                                                                          {
    00293   return t1.ns() < t2.ns();
    00294 }

bool operator< | ( | const Gaudi::Time & | t1,
|  | const Gaudi::Time & | t2 |
| ) |  |  | `[inline]`

Definition at line 232 of file Time.icpp.

    00232                                                                  {
    00233   return t1.ns() < t2.ns();
    00234 }

StreamBuffer& operator<< | ( | StreamBuffer & | s,
|  | const Gaudi::Time & | t |
| ) |  |  | `[inline]`

Definition at line 315 of file Time.icpp.

References Gaudi::Units::s.

    00315                                                                       {
    00316   return s << t.ns();
    00317 }

std::ostream& operator<< | ( | std::ostream & | out,
|  | const Gaudi::TimeSpan & | time |
| ) |  |  | `[inline]`

Definition at line 192 of file Time.icpp.

    00192                                                                            {
    00193   return out << time.seconds() << '.' << Gaudi::Time(time).nanoformat();
    00194 }

std::ostream& operator<< | ( | std::ostream & | out,
|  | const Gaudi::Time & | time |
| ) |  |  | `[inline]`

Definition at line 188 of file Time.icpp.

    00188                                                                        {
    00189   return out << Gaudi::TimeSpan(time).seconds() << '.' << time.nanoformat();
    00190 }

bool operator<= | ( | const Gaudi::TimeSpan & | t1,
|  | const Gaudi::TimeSpan & | t2 |
| ) |  |  | `[inline]`

Definition at line 296 of file Time.icpp.

    00296                                                                           {
    00297   return t1.ns() <= t2.ns();
    00298 }

bool operator<= | ( | const Gaudi::Time & | t1,
|  | const Gaudi::Time & | t2 |
| ) |  |  | `[inline]`

Definition at line 236 of file Time.icpp.

    00236                                                                   {
    00237   return t1.ns() <= t2.ns();
    00238 }

bool operator== | ( | const Gaudi::TimeSpan & | t1,
|  | const Gaudi::TimeSpan & | t2 |
| ) |  |  | `[inline]`

Definition at line 284 of file Time.icpp.

    00284                                                                           {
    00285   return t1.ns() == t2.ns();
    00286 }

bool operator== | ( | const Gaudi::Time & | t1,
|  | const Gaudi::Time & | t2 |
| ) |  |  | `[inline]`

Definition at line 224 of file Time.icpp.

    00224                                                                   {
    00225   return t1.ns() == t2.ns();
    00226 }

bool operator> | ( | const Gaudi::TimeSpan & | t1,
|  | const Gaudi::TimeSpan & | t2 |
| ) |  |  | `[inline]`

Definition at line 300 of file Time.icpp.

    00300                                                                          {
    00301   return t1.ns() > t2.ns();
    00302 }

bool operator> | ( | const Gaudi::Time & | t1,
|  | const Gaudi::Time & | t2 |
| ) |  |  | `[inline]`

Definition at line 240 of file Time.icpp.

    00240                                                                  {
    00241   return t1.ns() > t2.ns();
    00242 }

bool operator>= | ( | const Gaudi::TimeSpan & | t1,
|  | const Gaudi::TimeSpan & | t2 |
| ) |  |  | `[inline]`

Definition at line 304 of file Time.icpp.

    00304                                                                           {
    00305   return t1.ns() >= t2.ns();
    00306 }

bool operator>= | ( | const Gaudi::Time & | t1,
|  | const Gaudi::Time & | t2 |
| ) |  |  | `[inline]`

Definition at line 244 of file Time.icpp.

    00244                                                                   {
    00245   return t1.ns() >= t2.ns();
    00246 }

StreamBuffer& operator>> | ( | StreamBuffer & | s,
|  | Gaudi::Time & | t |
| ) |  |  | `[inline]`

Definition at line 319 of file Time.icpp.

References Gaudi::Units::s.

    00319                                                                 {
    00320   Gaudi::Time::ValueType tmp;
    00321   s >> tmp;
    00322   t = Gaudi::Time(tmp);
    00323   return s;
    00324 }